# meta **Repository Path**: huyu-project/meta ## Basic Information - **Project Name**: meta - **Description**: No description available - **Primary Language**: Unknown - **License**: Not specified - **Default Branch**: main - **Homepage**: None - **GVP Project**: No ## Statistics - **Stars**: 0 - **Forks**: 0 - **Created**: 2026-10-09 - **Last Updated**: 2026-10-18 ## Categories & Tags **Categories**: Uncategorized **Tags**: None ## README # Huyu 工作区(总入口) > ★ **工作区根**:`/Volumes/Data/huyunew` —— ★ **它不是 git 仓**, > 只是「多个独立仓的容器目录」(2026-10-08 批次 HY 起;此前根目录自身是一个仓,已归档封存)。 > ★ **找不到入口时**:本文件在 **`meta/README.md`** ⇒ > 从**任意仓**出发都能到:`cd <任意仓> && cd <工作区根>/meta` 打开本文件。 > ★ **各仓职责**见同目录的 [`ORGANIZATION.md`](ORGANIZATION.md)(15 个仓逐个说明)。 > **一句话**:自研系统编程语言 Huyu(`.hyu`)+ 操作系统 HuyuOS(x86-64,乐高式「核心 + 标准库 + 功能积木」) > + 一条「用 Huyu 编译 Huyu」的自举链。 > > 本文是**跨仓总入口**,只做三件事:说清工作区怎么分、告诉不同身份的人从哪开始、 > 指向各主题的**唯一真相源**。**不复制**任何会在别处更新的数字、编号与清单。 --- ## 一、四层 + 15 个仓(结构) ``` / ← ★ 工作区根:**不再是 git 仓**(2026-10-08 批次 HY 起) │ 它是「多个独立仓的容器目录」 ├── meta/ ← ★ 治理仓(跨仓治理资产):本文 / PROJECT_MAP / WORK_DISCIPLINE / │ TASK_LOG / REDESIGN / ORGANIZATION(各仓职能) │ └─ TASK_LOG/archive/ ← ★ 已冻结的 `PROJECT_MAP §4` 台账归档件(54 件) ├── docs/ ← 文档仓:设计 / 验证 / 构建 / 缺陷板 / 零基础教程 ├── huyu-core/ ← 工具链域(逻辑分组,非 git 根) │ ├── huyu/ 编译器 hyc + 8 个后端工具(★ 最大仓) │ ├── bootstrap/ ★ 自举链(用 Huyu 写的编译器各阶段) │ ├── std/ 标准库(7 模块) │ ├── rt/ 运行时(compiler_runtime;gc·coroutine 占位) │ ├── abi/ ★ 跨仓中立契约头(跨仓接口唯一真相源) │ ├── rfcs/ RFC(编号 RFC-0000…;★ 篇数会变,以 `ls huyu-core/rfcs/RFC-*.md` 为准) │ └── book/ ★ 书稿(面向人的学习路径) ├── huyu-os/ ← 操作系统域 │ ├── kernel/ 内核(38 砖装配,★ 文件数最多) │ ├── devices/ 设备与图形栈 │ └── sdk/ 容器运行时(真实现)+ capability/unikernel(占位) └── huyu-infra/ ← 基础设施域 ├── build/ hybuild 构建系统 ├── ci/ ★ CI 管线 + 机械守卫(**个数以 `ls huyu-infra/ci/checks/check_*.py` 为准**) └── testsuite/ 测试套件(含 ★ 公共测试框架 `test_runner.h`) ``` > ⚠️ 仓清单**当场实测**,勿抄本图: > `find . -name .git -maxdepth 6 -not -path "*/.git/*"` > `huyu-core/` `huyu-os/` `huyu-infra/` 本身**不是** git 根,其子目录才是。 > ★ **各仓职能详见 [`ORGANIZATION.md`](ORGANIZATION.md)**(组织与每仓职责的权威说明)。 > ★ **2026-10-08 批次 HY 整改**:工作区根**不再作为 git 仓**(原「接手体系仓」已归档封存, > 裸仓在 `/Volumes/Data/huyu-archive/root-repo.git`)⇒ 其内容按「内容分拆」迁入 > **`meta/`(6 类跨仓治理资产)** 与 **`docs/`(2 份文档)**。 > ⇒ **git 根总数 15 未变**(根仓 −1、meta +1),但**构成变了**。 --- ## 二、从哪开始(按身份) | 你是 | 先读 | 然后 | |------|------|------| | **接手的 AI / 新会话** | **`WORK_DISCIPLINE_AND_SKILLS.md`**(唯一操作入口,含 §0 操作协议) | `PROJECT_MAP.md` §5 任务队列挑一项 | | 想了解项目状态 / 路线 | `PROJECT_MAP.md`(§1 仓布局 §3 路线 §4 进度 §5 队列) | `docs/` 对应主题 | | 新手(第一次接触) | `huyu-core/book/intro/quickstart.md` | `book/audiences/beginner.md` | | 写 Huyu 代码 | `huyu-core/book/language/syntax.md` | `book/language/{types,stdlib}.md` | | 改编译器 / 加后端 | `huyu-core/book/compiler/architecture.md` | `book/guide/tooling.md` | | 改内核 / 加一块砖 | `huyu-core/book/os/kernel.md` | `docs/HUYUOS_ARCHITECTURE_LEGO.md` | | 搭 CI / 交叉编译 | `huyu-core/book/guide/build.md` | `huyu-infra/ci/README.md` | | 评审接口 / 治理 ABI | `huyu-core/abi/README.md` | `huyu-core/abi/ABI_RECTIFY_PLAN.md` | > 全部文档的主题索引见 **`docs/README.md`**(docs 仓的权威索引,本文不复制它)。 --- ## 三、唯一真相源(引用前必看) | 事实 | 真相源 | 别处**不得**复制 | |------|--------|-----------------| | 项目状态 / 路线 / 任务队列 | `PROJECT_MAP.md` §3/§4/§5 | 各文档只指路 | | 操作纪律 / 踩坑知识库 | `WORK_DISCIPLINE_AND_SKILLS.md` + `~/.agents/skills/` | 同上 | | 缺陷编号 `#N` | `docs/BRICK_ASSEMBLY_IMPLEMENTATION.md` §4/§7 | **唯一分配处** | | 不变量 `I***` / 守卫 `V**` | `docs/INVARIANT_IDS.md` | **唯一分配处** | | 接口契约 / 冻结状态 | `huyu-core/abi/registry.json` | 生成物 `registry.gen.md` 由脚本产出 | | 仓清单 | `find . -name .git`(**实测**) | 或 CI 的 `ALL_REPOS` 数组 | | 逐批次记录 | `TASK_LOG/`(月份索引 + 分片) | — | --- ## 四、三条不可违背的纪律(摘要,全文见 `WORK_DISCIPLINE_AND_SKILLS.md` §1) 1. **文档 = 代码**:引用任何数字 / 路径 / 版本号前**先实测**;禁 "docs outrun code"。 2. **单一真相源**:同一事实只写一处;编号只在指定文件分配。 3. **没有守卫的搬迁本身就是危险动作**:先让「做错会响」,再动结构。 --- ## 五、边界(诚实) | 项 | 现状 | |----|------| | 架构 | **只支持 x86-64**;ARM64 / RISC-V 后端是 39 行空壳 | | 32 位内核 | `make ARCH=32` 是**显式失败**(不是"能跑但有 bug") | | GC / 协程 | 只有 `.gitkeep` 占位 —— **当前阶段范围外(冻结)**,见 [`huyu-core/rfcs/RFC-0001`](../huyu-core/rfcs/RFC-0001-architecture-baseline.md) | | 自举二进制 | 8 个自举工具**均无**独立二进制;但 `.hyu` 实现的那几个以 **ELF 固件**形态编进内核、在 QEMU 里实跑(见下「自举」) | | RFC | **已有编号 RFC**(`RFC-0000` / `RFC-0001` / `RFC-0002`)—— ★ **篇数会变**,以 `ls huyu-core/rfcs/RFC-*.md` 为准(本行曾写「0 篇」而实测 ≥3,属"声明 ≠ 实际",已订正) | | 自举(真实能力) | ✅ **已打通并实测**:`hyc` 编译 `.hyu` → ELF → `objcopy` 嵌入内核 → QEMU 内执行,5 个自举测试固件(lexer/parser/typeck/hirgen/codegen)返回 `result=0` | | 对外版本 | 各仓**无 tag**、无发布版本号 | 判据命令见 `huyu-core/book/intro/what_is_huyu.md`。